comparison debian/postinst @ 419:e5bd838e0c27 noffle

[svn] fixed update-inetd
author godisch
date Fri, 20 Jun 2003 07:05:22 +0100
parents cb18c7d41cc5
children c2fd00030991
comparison
equal deleted inserted replaced
418:cb18c7d41cc5 419:e5bd838e0c27
1 #!/bin/sh 1 #!/bin/sh
2 # $Id: postinst 561 2003-06-20 05:59:52Z godisch $ 2 # $Id: postinst 562 2003-06-20 06:05:22Z godisch $
3 3
4 set -e 4 set -e
5 5
6 [ "$1" = configure ] || exit 0 6 [ "$1" = configure ] || exit 0
7 7
106 if ! grep -q "/usr/bin/noffle -r" /etc/inetd.conf; then 106 if ! grep -q "/usr/bin/noffle -r" /etc/inetd.conf; then
107 # just an example, the user needs to activate it himself 107 # just an example, the user needs to activate it himself
108 # update-inetd will silently fail if nntp is already occupied 108 # update-inetd will silently fail if nntp is already occupied
109 update-inetd --group MAIL --add "nntp\tstream\ttcp\tnowait\tnews\t/usr/sbin/tcpd /usr/bin/noffle -r" 109 update-inetd --group MAIL --add "nntp\tstream\ttcp\tnowait\tnews\t/usr/sbin/tcpd /usr/bin/noffle -r"
110 if grep -q "^nntp.*/usr/bin/noffle -r"; then 110 if grep -q "^nntp.*/usr/bin/noffle -r"; then
111 update-inetd --disable "$port" 111 update-inetd --disable nntp
112 fi 112 fi
113 fi 113 fi
114 fi 114 fi
115 115
116 # sanity checks 116 # sanity checks